HUGO-MOD(1)Sep(2020)

Hugo 0.75.0 Hugo Manual

NAME

hugo-mod - Various Hugo Modules helpers.

SYNOPSIS

hugo mod [flags]

DESCRIPTION

Various helpers to help manage the modules in your project's dependency graph.

Most operations here requires a Go version installed on your system (>= Go 1.12) and the relevant VCS client (typically Git). This is not needed if you only operate on modules inside /themes or if you have vendored them via "hugo mod vendor".

Note that Hugo will always start out by resolving the components defined in the site configuration, provided by a _vendor directory (if no --ignoreVendor flag provided), Go Modules, or a folder inside the themes directory, in that order.

See https://gohugo.io/hugo-modules/ for more information.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. http://spf13.com/

-D, --buildDrafts[=false]
    include content marked as draft

-E, --buildExpired[=false]
    include expired content

-F, --buildFuture[=false]
    include content with publishdate in the future

--cacheDir=""
    filesystem path to cache directory. Defaults: $TMPDIR/hugo_cache/

--cleanDestinationDir[=false]
    remove files from destination not found in static directories

-c, --contentDir=""
    filesystem path to content directory

-d, --destination=""
    filesystem path to write files to

--disableKinds=[]
    disable different kind of pages (home, RSS etc.)

--enableGitInfo[=false]
    add Git revision, date and author info to the pages

--forceSyncStatic[=false]
    copy all files when static is changed.

--gc[=false]
    enable to run some cleanup tasks (remove unused cache files) after the build

-h, --help[=false]
    help for mod

--i18n-warnings[=false]
    print missing translations

--ignoreCache[=false]
    ignores the cache directory

-l, --layoutDir=""
    filesystem path to layout directory

--minify[=false]
    minify any supported output format (HTML, XML etc.)

--noChmod[=false]
    don't sync permission mode of files

--noTimes[=false]
    don't sync modification time of files

--path-warnings[=false]
    print warnings on duplicate target paths etc.

--print-mem[=false]
    print memory usage to screen at intervals

--templateMetrics[=false]
    display metrics about template executions

--templateMetricsHints[=false]
    calculate some improvement hints when combined with --templateMetrics

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

--trace=""
    write trace to file (not useful in general)

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo(1), hugo-mod-clean(1), hugo-mod-get(1), hugo-mod-graph(1), hugo-mod-init(1), hugo-mod-npm(1), hugo-mod-tidy(1), hugo-mod-vendor(1), hugo-mod-verify(1)